<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:param name="pages" select="'pages.xml'"/>
    <xsl:template name="piste">
        <xsl:param name="pageid"/>
        <xsl:variable name="page" select="document($pages)//page[@id=$pageid]"/>						
        <xsl:for-each select="$page/ancestor::node()">
            <xsl:if test="local-name()='page'">
                <xsl:choose>
                    <xsl:when test="@href">
                        <a><xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute><xsl:value-of select="@desc"/></a>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="@desc"/>
                    </xsl:otherwise>
                </xsl:choose>
                <b>&#160;&gt;&#160;</b>	
            </xsl:if>
        </xsl:for-each>
		<xsl:value-of select="$page/@desc"/>
	</xsl:template>
	
    <xsl:template name="enfants">
        <xsl:param name="pageid"/>						
        <xsl:for-each select="document($pages)//page[@id=$pageid]/page">
            <xsl:choose>
                <xsl:when test="@href">
                    <a><xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute><xsl:value-of select="@desc"/></a>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="@desc"/>
                </xsl:otherwise>
            </xsl:choose>
            &#160;
        </xsl:for-each>
	</xsl:template>	
	
    <xsl:template name="precRemSuiv">
        <xsl:param name="pageid"/>						
        <xsl:variable name="page" select="document($pages)//page[@id=$pageid]"/>
        
        <!-- Page prcdente -->
        <xsl:if test="$page/preceding-sibling::node()[1]">
            <a><xsl:attribute name="href"><xsl:value-of select="$page/preceding-sibling::node()[1]/@href"/></xsl:attribute>
                Prcdente</a>&#160;
        </xsl:if>

        <!-- Page parente -->
        <xsl:if test="local-name($page/..)='page'">
            <a><xsl:attribute name="href"><xsl:value-of select="$page/../@href"/></xsl:attribute>
                Remonter</a>&#160;
        </xsl:if>

        <!-- Page suivante -->
        <xsl:if test="$page/following-sibling::node()[1]">
            <a><xsl:attribute name="href"><xsl:value-of select="$page/following-sibling::node()/@href"/></xsl:attribute>
                Suivante
            </a>
        </xsl:if>
	</xsl:template>		
</xsl:stylesheet>
